Name:           sensible-utils
Version:        0.0.21
Release:        1
Summary:        Utilities for sensible alternative selection

BuildArch:      noarch
License:        GPL-2.0-or-later
URL:            https://salsa.debian.org/debian/sensible-utils
Source0:        http://ftp.de.debian.org/debian/pool/main/s/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  automake autoconf
BuildRequires:  make
BuildRequires:  po4a

# See Patch0
Requires:       /usr/bin/gettext
Requires:       /usr/bin/realpath

# Just require gettext, realpath instead of installing wrappers
Patch0:         sensible-utils_nowrappers.patch

%description
This package provides a number of small utilities which are used by programs to
sensibly select and spawn an appropriate browser, editor, or pager.


%prep
%autosetup -p1 -n %{name}


%build
# Needed for Patch0
autoreconf -ifv

%configure
%make_build


%install
%make_install


%files
%license debian/copyright
%doc debian/changelog
%{_bindir}/sensible-*
%{_bindir}/select-editor
%{_mandir}/man1/*.1*
%{_mandir}/*/man1/*.1*


%changelog
* Wed Jan 24 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.0.21-1
- Initial package
